from django.conf.urls.defaults import *

urlpatterns = patterns('hrajeme_si',
    (r'^time/$', 'pokus.views.current_time'),
    (r'^nabidka/$', 'video_store.views.film_list'),
    (r'^nabidka/([a-z])/$', 'video_store.views.film_list'),
    (r'^nabidka/detail/(\d+)/$', 'video_store.views.film_detail'),
    (r'^kontakt(|/odeslano)/$', 'video_store.views.contact'),   
    (r'^accounts/profile(|/saved)/$', 'video_store.views.profile'),
)

from django.conf import settings

if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^%s(?P<path>.*)$' % settings.MEDIA_URL[1:], 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT}),
    )

from django.contrib import admin
from hrajeme_si.video_store.models import Store

stores = {
    'queryset': Store.objects.all(),
    'template_name': 'stores.html',
}

admin.autodiscover()

urlpatterns += patterns('',
    (r'^admin/', include(admin.site.urls)), # Django 1.0: (r'^admin/(.*)', admin.site.root),
    (r'^$', 'django.views.generic.simple.direct_to_template', {'template': 'front_page.html'}),
    (r'^provozovny/$', 'django.views.generic.list_detail.object_list', stores),
    (r'^accounts/login/$', 'django.contrib.auth.views.login', {'template_name': 'login.html'}),
    (r'^accounts/logout/$', 'django.contrib.auth.views.logout', {'template_name': 'logout.html'}),
    (r'^komentare/', include('django.contrib.comments.urls')),
)
